#
# spec file for package python-pysundials
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define modname pysundials
Name:           python-%{modname}
Version:        2.3.0.rc2
Release:        2.2
Summary:        A python module providing bindings for the SUNDIALS suite of solvers
License:        BSD-3-Clause
Group:          Development/Libraries/Python
Url:            http://code.google.com/p/pysundials/
Source:         %{modname}-2.3.0-rc2.tar.bz2
Patch0:         pysundials-2.3.0-rc2-build-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
Requires:       python-numpy
Requires:       python-scipy
%{py_requires}
BuildRequires:  gcc-fortran
BuildRequires:  python-devel
BuildRequires:  python-numpy-devel
BuildRequires:  python-scipy
BuildRequires:  sundials-devel

%description
PySUNDIALS is a python package providing python bindings for the SUNDIALS
suite of solvers. While python bindings for SUNDIALS will hopefully be
generally useful in the computational scientific community, they are being
developed with the specific aim of providing a robust underlying numerical
solver capable of implementing models conforming to the Systems Biology
Markup Language specification (version 2), including triggers, events,
and delays.


%prep
%setup -q -n %{modname}-2.3.0-rc2
%patch0 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build 

make -C doc PAPER=letter all

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --install-lib=%{python_sitearch}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/CONTRIBUTORS doc/README doc/LICENSE doc/TODO doc/*.pdf
%{python_sitearch}/%{modname}
%{python_sitearch}/%{modname}-*-py%{py_ver}.egg-info

%changelog
* Tue Mar  3 2015 dvaleev@suse.com
- fix libdir on arches other than x86
* Fri Jun 15 2012 scorot@free.fr
- fix installation directory when suse version > 11.1
* Fri Jun 15 2012 scorot@free.fr
- add %%%%patch0 in order to fix build with recent sundials update
- spec file cleanup
* Sat Jun  2 2012 scorot@free.fr
- spec file re-formating
- fix package arch because it contains arch dependant files
